SELECT table_name, constraint_name,
       CASE constraint_type
            WHEN 'R' THEN 'Foreign Key'
            WHEN 'P' THEN 'Primary Key'
            WHEN 'C' THEN 'Check Constraint'
            WHEN 'U' THEN 'Unique Constraint'
       END "Constraint Type"
  FROM user_constraints
 ORDER BY 1, 2
/
